import { jsx } from "react/jsx-runtime";
import { Eraser as Eraser$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Eraser = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Eraser", ...props, children: /* @__PURE__ */ jsx(Eraser$1, { weight: variant }) });
  }
);
Eraser.displayName = "Eraser";
Object.assign(Eraser, { isGdsIcon: true });
export {
  Eraser
};
